Name:           python-docker-banner-gen
Version:        0.0.9
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Command-line tool for generating bash.bashrc templates for docker with a custom banner.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/waikato-datamining/docker-banner-gen
Source:         %{pypi_source docker_banner_gen}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'docker-banner-gen' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-docker-banner-gen
Summary:        %{summary}

%description -n python3-docker-banner-gen %_description


%prep
%autosetup -p1 -n docker_banner_gen-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-docker-banner-gen -f %{pyproject_files}


%changelog
%autochangelog